{{ ansible_managed | comment }}

[Unit]
Description=Mtail exporter for Prometheus
After=network-online.target
StartLimitInterval=0

[Service]
Type=simple
User={{ mtail_system_user }}
Group={{ mtail_system_group }}
ExecStart={{ mtail_install_directory }}/{{ mtail_name }} \
        -progs '{{ mtail_progs_directory }}' \
        -logs '{{ mtail_logs | join(",") }}' \
        -port {{ mtail_listen_port }} \
        -logtostderr
KillMode = process
MemoryLimit = 100M
LimitNOFILE = 10000
Restart = always
RestartSec = 5s
SyslogIdentifier=mtail

[Install]
WantedBy=multi-user.target
